Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ARG_OUT

    public interface ARG_OUT

A constant that signifies an "output" argument to an invocation, meaning that the argument is being passed from the server to the client. `ARG_OUT.value` is one of the possible values used to indicate the direction in which a parameter is being passed during a dynamic invocation using the Dynamic Invocation Interface (DII).

The code fragment below shows a typical usage:

      ORB orb = ORB.init(args, null);
      org.omg.CORBA.NamedValue nv = orb.create_named_value(
            "argumentIdentifier", myAny, org.omg.CORBA.ARG_OUT.value);

Since:
  JDK1.2
See Also:
  `NamedValue`

Field Summary
`static int` | `value` The constant value indicating an output argument.

Field Detail

### value

    static final int value

  The constant value indicating an output argument.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.